plot.mcpot {POT} | R Documentation

## Graphical Diagnostics: Markov Chains for All Exceedances.

### Description

Plot several graphics to judge goodness of fit of the fitted model.

### Usage

    ## S3 method for class 'mcpot'
    plot(x, opy, exi, mains, which = 1:4, ask = nb.fig <
    length(which) && dev.interactive(), acf.type = "partial", ...)

### Arguments

`x` | An object of class `"bvpot"`. Most often, the object returned by the `fitbvgpd` function.
`opy` | Numeric. The number of Observation Per Year (or more generally per block). If missing, the function warns and set it to 365.
`exi` | Numeric. The extremal index value. If missing, the estimator of Ferro and Segers (2003) is used.
`mains` | May be missing. If present a 4–vector of character strings which gives the titles of the plots.
`which` | a numeric vector which specifies which plot must be drawn: `'1'` for the auto correlation plot, `'2'` for Pickands' Dependence Function plot, `'3'` for the spectral density plot and `'4'` for a bivariate return level plot.
`ask` | Logical. If `TRUE`, user is asked before each plot.
`acf.type` | The type of auto correlation to be plotted. Must be one of `"correlation"`, `"covariance"` or `"partial"` (the default). See the `acf` function.
`...` | Other parameters to pass to the `plot` function.

### Value

Several plots and returns invisibly the return level function.

### Warning

See the warning for the return level estimation in documentation of the `retlev.mcpot` function.

### Note

For the return level plot, the observations are not plotted as these are dependent realisations. In particular, the return periods computed using the `prob2rp` are inaccurate.

### Author(s)

Mathieu Ribatet

### References

Ferro, C. and Segers, J. (2003). Inference for clusters of extreme values. Journal of the Royal Statistical Society B. 65: 545–556.

### See Also

`fitmcgpd`, `acf`, `retlev`

### Examples

    set.seed(123)
    mc <- simmc(200, alpha = 0.5)
    mc <- qgpd(mc, 0, 1, 0.25)
    Mclog <- fitmcgpd(mc, 1)
    par(mfrow=c(2,2))
    rlMclog <- plot(Mclog)
    rlMclog(T = 3)

[Package POT version 1.1-7 Index]